> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get summary for workbench model versions



## OpenAPI

````yaml /api-specs/6.3/dmm.yaml get /model-monitor/v2/api/workbench/model/version/summary
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/workbench/model/version/summary:
    get:
      tags:
        - Workbench
      summary: Get summary for workbench model versions
      operationId: getModelVersionSummary
      parameters:
        - in: query
          name: model_version_ids
          description: a string of comma separated workbench model version ids.
          required: true
          schema:
            type: string
        - in: query
          name: start_date
          required: true
          schema:
            type: number
        - in: query
          name: end_date
          required: true
          schema:
            type: number
      responses:
        '200':
          description: Model summaries were fetched successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelVersionSummaryArray'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    ModelVersionSummaryArray:
      type: array
      items:
        $ref: '#/components/schemas/ModelVersionSummary'
    ModelVersionSummary:
      type: object
      required:
        - workbenchModelVersionId
        - predictionTrafficCount
      properties:
        workbenchModelVersionId:
          description: Workbench model version id
          type: string
        driftedVariablesCount:
          description: >-
            count of drifted variables for a model as per last drift scheduled
            check
          type: integer
        failedMetricsCount:
          description: >-
            count of failed metrics for a model as per last quality scheduled
            check
          type: integer
        predictionTrafficCount:
          description: count of prediction traffic for the model
          type: integer
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````